Pređi na sadržaj

Capacities

Occupancy limits per unit per capacity group

The capacity object

Attributes

iduuid

Unique identifier

capacity_group_iduuid
capacity_groups.id

Identifier of the related capacity group

product_iduuid
products.id

Identifier of the related unit

created_atread-onlytimestamp with time zone

Creation timestamp

updated_atread-onlytimestamp with time zone

Last modification timestamp

maxinteger

Maximum allowed occupancy

mininteger

Minimum allowed occupancy

Related resources

Embed related resources in the response with the select parameter, for example select=*,capacity_groups(*). Resources related through more than one column need the column as a hint, like table!column(*).

capacity_groups(*)object | null
capacity_groups

The capacity group referenced by capacity_group_id.

products(*)object | null
products

The product referenced by product_id.

The capacity object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "capacity_group_id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T23:21:07.688Z",
  "updated_at": "2026-10-30T23:21:07.688Z",
  "max": 1,
  "min": 0
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/capacities?limit=10&select=*,capacity_groups(*),products(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List capacities

Filters

idFilter<uuid>

Unique identifier

capacity_group_idFilter<uuid>
capacity_groups.id

Identifier of the related capacity group

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

maxFilter<integer>

Maximum allowed occupancy

minFilter<integer>

Minimum allowed occupancy

Responses

200

A list of capacities with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /capacities
curl -X GET "https://api.bookingmood.com/v1/capacities?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "capacity_group_id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:21:07.688Z",
    "updated_at": "2026-10-30T23:21:07.688Z",
    "max": 1,
    "min": 0
  }
]

Create capacities

Body

Partial<Capacity> | Array<Partial<Capacity>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created capacities with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /capacities
curl -X POST "https://api.bookingmood.com/v1/capacities" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "capacity_group_id": "00000000-0000-0000-0000-000000000000",
    "max": 1,
    "min": 0,
    "product_id": "00000000-0000-0000-0000-000000000000"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "capacity_group_id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:21:07.688Z",
    "updated_at": "2026-10-30T23:21:07.688Z",
    "max": 1,
    "min": 0
  }
]

Delete capacities

Filters

Without filters, this request deletes all capacities you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

capacity_group_idFilter<uuid>
capacity_groups.id

Identifier of the related capacity group

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

maxFilter<integer>

Maximum allowed occupancy

minFilter<integer>

Minimum allowed occupancy

Responses

200

The deleted capacities with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /capacities
curl -X DELETE "https://api.bookingmood.com/v1/capacities?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "capacity_group_id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:21:07.688Z",
    "updated_at": "2026-10-30T23:21:07.688Z",
    "max": 1,
    "min": 0
  }
]

Update capacities

Filters

Without filters, this request updates all capacities you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

capacity_group_idFilter<uuid>
capacity_groups.id

Identifier of the related capacity group

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

maxFilter<integer>

Maximum allowed occupancy

minFilter<integer>

Minimum allowed occupancy

Body

Partial<Capacity>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated capacities with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /capacities
curl -X PATCH "https://api.bookingmood.com/v1/capacities?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "max": 1
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "capacity_group_id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:21:07.688Z",
    "updated_at": "2026-10-30T23:21:07.688Z",
    "max": 1,
    "min": 0
  }
]

Preuzmite kontrolu nad svojim rezervacijama. Izgradite svoj posao.

Pridružite se 1200+ nezavisnim kompanijama za iznajmljivanje smeštaja koristeći Bookingmood kako biste povećali broj direktnih rezervacija i izgradili jače odnose sa gostima.

Započnite besplatnu probnu verziju od 14 dana